GtkDatabox: gtk/gtkdatabox_cross_simple.h File Reference

GtkDatabox A set of GTK+ widgets to display large amounts of numerical data quickly and easily.

- Main Page
- Data Structures
- Files

- File List
- Globals

Data Structures | Defines | Typedefs | Functions
gtk/gtkdatabox_cross_simple.h File Reference
`#include <gtkdatabox_markers.h>`
Include dependency graph for gtkdatabox_cross_simple.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | _GtkDataboxCrossSimple
struct | _GtkDataboxCrossSimpleClass
## Defines
#define | GTK_DATABOX_TYPE_CROSS_SIMPLE (gtk_databox_cross_simple_get_type ())
#define | GTK_DATABOX_CROSS_SIMPLE(obj)
#define | GTK_DATABOX_CROSS_SIMPLE_CLASS(klass)
#define | GTK_DATABOX_IS_CROSS_SIMPLE(obj)
#define | GTK_DATABOX_IS_CROSS_SIMPLE_CLASS(klass)
#define | GTK_DATABOX_CROSS_SIMPLE_GET_CLASS(obj)
## Typedefs
typedef struct _GtkDataboxCrossSimple | GtkDataboxCrossSimple
typedef struct _GtkDataboxCrossSimpleClass | GtkDataboxCrossSimpleClass
typedef struct _GtkDataboxCrossSimplePrivate | GtkDataboxCrossSimplePrivate
## Functions
GType | gtk_databox_cross_simple_get_type (void)
GtkDataboxGraph * | gtk_databox_cross_simple_new (GdkColor *color, guint size)

## Define Documentation

#define GTK_DATABOX_CROSS_SIMPLE | ( |  | obj | ) |

Value:

    (G_TYPE_CHECK_INSTANCE_CAST ((obj), \
                                               GTK_DATABOX_TYPE_CROSS_SIMPLE, \
                                               GtkDataboxCrossSimple))

#define GTK_DATABOX_CROSS_SIMPLE_CLASS | ( |  | klass | ) |

Value:

    (G_TYPE_CHECK_CLASS_CAST ((klass), \
                                               GTK_DATABOX_TYPE_CROSS_SIMPLE, \
                                               GtkDataboxCrossSimpleClass))

#define GTK_DATABOX_CROSS_SIMPLE_GET_CLASS | ( |  | obj | ) |

Value:

    (G_TYPE_INSTANCE_GET_CLASS ((obj), \
                                               GTK_DATABOX_TYPE_CROSS_SIMPLE, \
                                               GtkDataboxCrossSimpleClass))

#define GTK_DATABOX_IS_CROSS_SIMPLE | ( |  | obj | ) |

Value:

    (G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
                                               GTK_DATABOX_TYPE_CROSS_SIMPLE))

#define GTK_DATABOX_IS_CROSS_SIMPLE_CLASS | ( |  | klass | ) |

Value:

    (G_TYPE_CHECK_CLASS_TYPE ((klass), \
                                               GTK_DATABOX_TYPE_CROSS_SIMPLE))

#define GTK_DATABOX_TYPE_CROSS_SIMPLE (gtk_databox_cross_simple_get_type ())

SECTION:gtkdatabox_cross_simple : A GtkDataboxGraph used for displaying a simple coordinate cross. gtkdatabox_cross_simple.h : GtkDatabox, GtkDataboxGraph, GtkDataboxPoints, GtkDataboxLines, GtkDataboxBars, GtkDataboxMarkers

GtkDataboxCrossSimple is a GtkDataboxGraph class for displaying a simple coordinate cross (a vertical line at x=0 and a horizontal line at y=0).

A more sophisticated coordinate cross would be welcome :-)

## Typedef Documentation

typedef struct _GtkDataboxCrossSimple GtkDataboxCrossSimple

GtkDataboxCrossSimple: : GtkDatabox, GtkDataboxGraph, GtkDataboxPoints, GtkDataboxLines, GtkDataboxBars, GtkDataboxMarkers

GtkDataboxCrossSimple is a GtkDataboxGraph class for displaying a simple coordinate cross (a vertical line at x=0 and a horizontal line at y=0).

A more sophisticated coordinate cross would be welcome :-)

typedef struct _GtkDataboxCrossSimpleClass GtkDataboxCrossSimpleClass

typedef struct _GtkDataboxCrossSimplePrivate GtkDataboxCrossSimplePrivate

GtkDataboxCrossSimplePrivate

A private data structure used by the GtkDataboxCrossSimple. It shields all internal things from developers who are just using the object.

## Function Documentation

GType gtk_databox_cross_simple_get_type | ( | void |  | ) |

GtkDataboxGraph* gtk_databox_cross_simple_new | ( | GdkColor * | color,
|  | guint | size
| ) |  |

gtk_databox_cross_simple_new: : color of the markers : marker size or line width (depending on the )

Creates a new GtkDataboxCrossSimple object which can be added to a GtkDatabox widget as nice decoration for other graphs.

Return value: A new GtkDataboxCrossSimple object

Here is the call graph for this function:
All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines